package com.ym.mec.biz.dal.dto;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.entity.ImGroupNotice;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

public class ImGroupNoticeDto extends ImGroupNotice {

	private SysUser user = new SysUser();

	// 拓展字段
	@ApiModelProperty(value = "群编号;")
	private String groupId;

	@ApiModelProperty(value = "是否置顶")
	private Boolean topFlag;

	@ApiModelProperty(value = "是否发送给新人")
	private Boolean sentToNewMemberFlag;

	@ApiModelProperty("用户名称")
	private String username;

	public SysUser getUser() {
		return user;
	}

	public void setUser(SysUser user) {
		this.user = user;
	}

	public String getGroupId() {
		return getImGroupId();
	}

	public Boolean getTopFlag() {
		return isIsTop();
	}

	public Boolean getSentToNewMemberFlag() {
		return isIsSentToNewMember();
	}

	public String getUsername() {
		if (Objects.nonNull(getUser())) {
			return getUser().getRealName();
		}
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}
}
